"use strict";

const warn = require("./warn");

module.exports = function destroyStream(stream) {
	if (typeof stream.destroy === "function") {
		stream.destroy();
	} else {
		warn("The stream you are converting does not have a 'destroy' method, and could therefore not be destroyed. This may cause resource leaks!");
	}
};
